Package org.apache.sling.graphql.api.pagination

# Interface Edge<T>

Type Parameters:
  `T` - the edge's `node` type

@ConsumerType public interface Edge<T>
The `Edge` interface provides support for implementing the Edge Types, according to the specification from https://relay.dev/graphql/connections.htm#sec-Edge-Types.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Cursor`
`getCursor()`
`T`
`getNode()`

## Method Details

### getNode

@NotNull T getNode()

### getCursor

@NotNull @NotNull Cursor getCursor()